Page MenuHomePhabricator

1.35.0-wmf.25 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.35.0-wmf.25
Release Date
Mar 23 2020, 12:00 AM
Backup Conductor
dduvall

2020 week 13 1.35-wmf.25 Changes wmf/1.35.0-wmf.25

This MediaWiki Train Deployment is scheduled for the week of Monday, March 23rd:

Monday March 23rdTuesday, March 24thWednesday, March 25thThursday, March 26thFriday
Backports only.Branch wmf.25 and deploy to Group 0 Wikis.Deploy wmf.25 to Group 1 Wikis.Deploy wmf.25 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.25 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.24
Next: 1.35.0-wmf.26

Event Timeline

mmodell created this task.Sep 25 2019, 10:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2019, 10:14 PM
thcipriani triaged this task as Medium priority.
thcipriani updated Backup Conductor, added: dduvall.

Mentioned in SAL (#wikimedia-operations) [2020-03-24T14:26:54Z] <hashar> Branching wmf/1.35.0-wmf.25 # T233873

Mentioned in SAL (#wikimedia-operations) [2020-03-24T14:59:43Z] <hashar> scap prep 1.35.0-wmf.25 # T233873

Mentioned in SAL (#wikimedia-operations) [2020-03-24T15:03:12Z] <hashar> Applied patches to 1.35.0-wmf.25 # T233873

Change 583087 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] Group 0 to 1.35.0-wmf.25

https://gerrit.wikimedia.org/r/583087

Mentioned in SAL (#wikimedia-operations) [2020-03-24T15:17:37Z] <hashar> Cleaning old MediaWiki deployments # T233873

Change 583094 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] testwiki to 1.35.0-wmf.25

https://gerrit.wikimedia.org/r/583094

Change 583094 merged by jenkins-bot:
[operations/mediawiki-config@master] testwiki to 1.35.0-wmf.25

https://gerrit.wikimedia.org/r/583094

Mentioned in SAL (#wikimedia-operations) [2020-03-24T15:54:59Z] <hashar@deploy1001> Started scap: testwiki to 1.35.0-wmf.25 and rebuild l10n cache # T233873

Mentioned in SAL (#wikimedia-operations) [2020-03-24T17:12:51Z] <hashar@deploy1001> Finished scap: testwiki to 1.35.0-wmf.25 and rebuild l10n cache # T233873 (duration: 77m 52s)

Change 583126 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.35.0-wmf.25 refs T233873

https://gerrit.wikimedia.org/r/583126

Change 583126 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.35.0-wmf.25 refs T233873

https://gerrit.wikimedia.org/r/583126

Mentioned in SAL (#wikimedia-operations) [2020-03-24T19:29:22Z] <twentyafterfour> rolling back to wmf.24 due to high error rate refs T233873

Mentioned in SAL (#wikimedia-operations) [2020-03-24T20:35:57Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: Attempt #2: group0 wikis to 1.35.0-wmf.25 refs T233873

Change 583087 abandoned by Hashar:
Group 0 to 1.35.0-wmf.25

Reason:
done by https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/ /583126/

https://gerrit.wikimedia.org/r/583087

Change 583418 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.35.0-wmf.25 refs T233873

https://gerrit.wikimedia.org/r/583418

Change 583418 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.35.0-wmf.25 refs T233873

https://gerrit.wikimedia.org/r/583418

Mentioned in SAL (#wikimedia-operations) [2020-03-25T19:26:25Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.35.0-wmf.25 refs T233873

Mentioned in SAL (#wikimedia-operations) [2020-03-25T19:28:52Z] <twentyafterfour> group1 looks good after deploying wmf.25 refs T233873

Change 583731 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] all wikis to 1.35.0-wmf.25 refs T233873

https://gerrit.wikimedia.org/r/583731

Change 583731 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.35.0-wmf.25 refs T233873

https://gerrit.wikimedia.org/r/583731

mmodell closed this task as Resolved.Mar 26 2020, 8:28 PM